Subject: RE: Cygwin floating point control
From: "Norman Vine" <[email-masked]>
To: "'Jochen Küpper'" <[email-masked]>, "'cygwin'" <[email-masked]>
Cc: "'Numeric users ml'" <[email-masked]>
Date: Tue, 20 Aug 2002 14:51:01 -0400

Jochen Küpper writes:
>
>The following program does not link on Cygwin
>,----
>| #include <ieeefp.h>
>|
>| int main()
>| {
>|     return(fgetsticky());
>| }
>`----
>due to fpgetsticky beeing unresolved.
>
>fpgetsticky is declared in /usr/include/ieeefp.h, but I cannot find
>any library it is defined in.  A search on the Cywin site and at
>google didn't turn up anything for fpgetsticky on Cygwin. (?)
>
>Is it implemented?  If so, where?  If not, is there any substitute I
>should be using?

I use this 'home spun' header that I 'hacked' from the BSD sources

Not really sure if it is 100% right or if the license allows this to be
used in Cygwin 'proper' but ... it seems to work for me

HTH

Norman
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/